using System;
using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace TeleWave.Infrastructure.Migrations
{
    /// <inheritdoc />
    public partial class EpisodeMetadata : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<DateOnly>(
                name: "AirDate",
                table: "ShowEpisode",
                type: "date",
                nullable: true
            );

            migrationBuilder.AddColumn<int>(
                name: "Episode",
                table: "ShowEpisode",
                type: "integer",
                nullable: true
            );

            migrationBuilder.AddColumn<string>(
                name: "Overview",
                table: "ShowEpisode",
                type: "character varying(4096)",
                maxLength: 4096,
                nullable: true
            );

            migrationBuilder.AddColumn<int>(
                name: "Season",
                table: "ShowEpisode",
                type: "integer",
                nullable: true
            );

            migrationBuilder.AddColumn<string>(
                name: "StillPath",
                table: "ShowEpisode",
                type: "character varying(256)",
                maxLength: 256,
                nullable: true
            );

            migrationBuilder.AddColumn<string>(
                name: "Title",
                table: "ShowEpisode",
                type: "character varying(512)",
                maxLength: 512,
                nullable: true
            );
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(name: "AirDate", table: "ShowEpisode");

            migrationBuilder.DropColumn(name: "Episode", table: "ShowEpisode");

            migrationBuilder.DropColumn(name: "Overview", table: "ShowEpisode");

            migrationBuilder.DropColumn(name: "Season", table: "ShowEpisode");

            migrationBuilder.DropColumn(name: "StillPath", table: "ShowEpisode");

            migrationBuilder.DropColumn(name: "Title", table: "ShowEpisode");
        }
    }
}
